RubyGems Navigation menu

github_api 0.19.0

Ruby client that supports all of the GitHub API methods. It"s build in a modular way, that is, you can either instantiate the whole api wrapper Github.new or use parts of it e.i. Github::Client::Repos.new if working solely with repositories is your main concern. Intuitive query methods allow you easily call API endpoints.

Versions:

  1. 0.19.0 - June 22, 2020 (148 KB)
  2. 0.18.2 - November 19, 2017 (141 KB)
  3. 0.18.1 - October 07, 2017 (141 KB)
  4. 0.17.0 - April 18, 2017 (140 KB)
  5. 0.16.0 - April 02, 2017 (139 KB)
Show all versions (91 total)

Runtime Dependencies (5):

  • addressable ~> 2.4
  • descendants_tracker ~> 0.0.4
  • faraday >= 0.8, < 2
  • hashie ~> 3.5, >= 3.5.2
  • oauth2 ~> 1.0
  • Development Dependencies (7):

  • bundler >= 1.5.0
  • cucumber ~> 2.1
  • rake >= 0
  • rspec ~> 3
  • rspec-its ~> 1
  • vcr ~> 3.0.3
  • webmock ~> 3.8
  • Owners:

    Pushed by:

    Authors:

    • Piotr Murach

    SHA 256 checksum:

    e04041c0c294e6262ff066655689b3f3fe8120878bc2c3e3d107fc09cd717ccf

    Total downloads 2,895,370

    For this version 10,575

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.0.0

    Links: